# -*- coding: utf-8 -*-
from __future__ import unicode_literals
from rest_framework import serializers

from .. import models


class SliderSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.Slider
        fields = '__all__'


class PictureSerializer(serializers.ModelSerializer):
    url = serializers.SerializerMethodField()
    cropped_url = serializers.SerializerMethodField()

    class Meta:
        model = models.Picture
        fields = ('title', 'abstract', 'url', 'cropped_url', 'link',)

    def get_url(self, obj):
        return obj.image.url

    def get_cropped_url(self, obj):
        return obj.get_cropped_picture()
